

<!DOCTYPE html>
<html class="writer-html5" lang="ru" >
<head>
  <meta charset="utf-8" />
  
<!-- Yandex.Metrika counter -->
<script async="" src="https://mc.yandex.ru/metrika/tag.js"></script>
<script type="text/javascript">
	(function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)};
	m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)})
	(window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym");
 
	ym(88079149, "init", {
		 clickmap:true,
		 trackLinks:true,
		 accurateTrackBounce:true,
		 webvisor:true
	});
 </script>
 <noscript><div><img src="https://mc.yandex.ru/watch/88079149" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
 <!-- /Yandex.Metrika counter -->



  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>3. Функции UIWeb &mdash; документация pyOpenRPA v1.3.1 v1.3.1</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/translations.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Алфавитный указатель" href="../genindex.html" />
    <link rel="search" title="Поиск" href="../search.html" />
    <link rel="next" title="4. Функции Keyboard" href="04_keyboard.html" />
    <link rel="prev" title="2. Функции UIDesktop" href="02_uidesktop.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> pyOpenRPA v1.3.1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Поиск в документации" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">ОБЩЕЕ</span></p>
<ul>
<li class="toctree-l1"><a class="reference external" href="https://pyopenrpa.ru/wiki/guide/index">Выбрать версию</a></li>
<li class="toctree-l1"><a class="reference internal" href="../01_HowToInstall.html">1. Первый запуск (Windows &amp; Linux)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../03_Copyrights_Contacts.html">2. Лицензия &amp; Контакты</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ РОБОТ</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="01_Robot.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="02_uidesktop.html">2. Функции UIDesktop</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">3. Функции UIWeb</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#id1">Общее</a></li>
<li class="toctree-l2"><a class="reference internal" href="#id2">Описание функций</a></li>
<li class="toctree-l2"><a class="reference internal" href="#id9">Быстрая навигация</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="04_keyboard.html">4. Функции Keyboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="05_clipboard.html">5. Функции Clipboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="06_mouse.html">6. Функции Mouse</a></li>
<li class="toctree-l1"><a class="reference internal" href="07_screen.html">7. Функции Screen</a></li>
<li class="toctree-l1"><a class="reference internal" href="08_audio.html">8. Функции Audio</a></li>
<li class="toctree-l1"><a class="reference internal" href="09_HowToUse.html">9. Как использовать?</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ СТУДИЯ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Studio/01_Studio.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Studio/02_HowToUse.html">2. Как использовать?</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ ОРКЕСТРАТОР</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/01_Orchestrator.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/02_Defs.html">2. Функции</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/03_gSettingsTemplate.html">3. Настройки GSettings (шаблон)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/04_HowToUse.html">4. Как использовать?</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Orchestrator/05_UAC.html">5. Права доступа пользователей UAC</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ АГЕНТ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Agent/02_Defs.html">2. Функции Agent</a></li>
</ul>
<p class="caption"><span class="caption-text">ИНСТРУМЕНТЫ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../Tools/02_Defs.html">2. Функции StopSafe</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">pyOpenRPA v1.3.1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>3. Функции UIWeb</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/Robot/03_uiweb.rst.txt" rel="nofollow"> Просмотреть исходный код страницы</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="uiweb">
<span id="module-robot-uiweb"></span><h1>3. Функции UIWeb<a class="headerlink" href="#uiweb" title="Ссылка на этот заголовок">¶</a></h1>
<div class="section" id="id1">
<h2>Общее<a class="headerlink" href="#id1" title="Ссылка на этот заголовок">¶</a></h2>
<p>Здесь представлено описание всех функций, необходимых для максимально эффективного управления web интерфейсами различных приложений.</p>
</div>
<div class="section" id="id2">
<h2>Описание функций<a class="headerlink" href="#id2" title="Ссылка на этот заголовок">¶</a></h2>
<p>Описание каждой функции начинается с обозначения L+,W+, что означает, что функция поддерживается в ОС Linux (L) и Windows (W)</p>
<span class="target" id="module-pyOpenRPA.Robot.UIWeb"></span><p><strong>Functions:</strong></p>
<table class="longtable docutils align-default">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.BrowserChange" title="pyOpenRPA.Robot.UIWeb.BrowserChange"><code class="xref py py-obj docutils literal notranslate"><span class="pre">BrowserChange</span></code></a>(inBrowser)</p></td>
<td><p>L+,W+: Выполнить смену активного браузера (при необходимости).</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.BrowserChromeStart" title="pyOpenRPA.Robot.UIWeb.BrowserChromeStart"><code class="xref py py-obj docutils literal notranslate"><span class="pre">BrowserChromeStart</span></code></a>([inDriverExePathStr, …])</p></td>
<td><p>L+,W+: Выполнить запуск браузера Chrome.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.BrowserClose" title="pyOpenRPA.Robot.UIWeb.BrowserClose"><code class="xref py py-obj docutils literal notranslate"><span class="pre">BrowserClose</span></code></a>()</p></td>
<td><p>L+,W+: Закрыть браузер</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.PageJSExecute" title="pyOpenRPA.Robot.UIWeb.PageJSExecute"><code class="xref py py-obj docutils literal notranslate"><span class="pre">PageJSExecute</span></code></a>(inJSStr, *inArgList)</p></td>
<td><p>L+,W+: Отправить на выполнение на сторону браузера код JavaScript.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.PageOpen" title="pyOpenRPA.Robot.UIWeb.PageOpen"><code class="xref py py-obj docutils literal notranslate"><span class="pre">PageOpen</span></code></a>(inURLStr)</p></td>
<td><p>L+,W+: Открыть страницу inURLStr в браузере и дождаться ее загрузки.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.PageScrollTo" title="pyOpenRPA.Robot.UIWeb.PageScrollTo"><code class="xref py py-obj docutils literal notranslate"><span class="pre">PageScrollTo</span></code></a>([inVerticalPxInt, …])</p></td>
<td><p>L+,W+: Выполнить прокрутку страницы (по вертикали или по горизонтали)</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOAttributeGet" title="pyOpenRPA.Robot.UIWeb.UIOAttributeGet"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOAttributeGet</span></code></a>(inUIO, inAttributeStr)</p></td>
<td><p>L+,W+: Получить обычный (нестилевой) атрибут у UI элемента.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOAttributeRemove" title="pyOpenRPA.Robot.UIWeb.UIOAttributeRemove"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOAttributeRemove</span></code></a>(inUIO, inAttributeStr)</p></td>
<td><p>L+,W+: Удалить обычный (нестилевой) атрибут у UI элемента.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOAttributeSet" title="pyOpenRPA.Robot.UIWeb.UIOAttributeSet"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOAttributeSet</span></code></a>(inUIO, inAttributeStr, inValue)</p></td>
<td><p>L+,W+: Установить обычный (нестилевой) атрибут у UI элемента.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOAttributeStyleGet" title="pyOpenRPA.Robot.UIWeb.UIOAttributeStyleGet"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOAttributeStyleGet</span></code></a>(inUIO, inAttributeStr)</p></td>
<td><p>L+,W+: Получить стилевой атрибут у UI элемента.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOAttributeStyleRemove" title="pyOpenRPA.Robot.UIWeb.UIOAttributeStyleRemove"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOAttributeStyleRemove</span></code></a>(inUIO, inAttributeStr)</p></td>
<td><p>L+,W+: Удалить стилевой атрибут у UI элемента.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOAttributeStyleSet" title="pyOpenRPA.Robot.UIWeb.UIOAttributeStyleSet"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOAttributeStyleSet</span></code></a>(inUIO, inAttributeStr, …)</p></td>
<td><p>L+,W+: Установить стилевой атрибут у UI элемента.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOClick" title="pyOpenRPA.Robot.UIWeb.UIOClick"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOClick</span></code></a>(inUIO)</p></td>
<td><p>L+,W+: Выполнить нажатие по элементу inUIO.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOMouseSearchInit" title="pyOpenRPA.Robot.UIWeb.UIOMouseSearchInit"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOMouseSearchInit</span></code></a>()</p></td>
<td><p>L+,W+: Инициализирует процесс поиска UI элемента с помощью мыши.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOMouseSearchReturn" title="pyOpenRPA.Robot.UIWeb.UIOMouseSearchReturn"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOMouseSearchReturn</span></code></a>()</p></td>
<td><p>L+,W+: Возвращает UIO объект, над которым находится указатель мыши.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorClick" title="pyOpenRPA.Robot.UIWeb.UIOSelectorClick"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOSelectorClick</span></code></a>(inUIOSelectorStr)</p></td>
<td><p>L+,W+: Выполнить нажатие по элементу с селектором inUIOSelectorStr.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorDetect" title="pyOpenRPA.Robot.UIWeb.UIOSelectorDetect"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOSelectorDetect</span></code></a>(inUIOSelectorStr)</p></td>
<td><p>L+,W+: Идентифицировать стиль селектора (CSS или XPATH)</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorFirst" title="pyOpenRPA.Robot.UIWeb.UIOSelectorFirst"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOSelectorFirst</span></code></a>(inUIOSelectorStr[, inUIO])</p></td>
<td><p>L+,W+: Получить UIO объект по UIO селектору.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorHighlight" title="pyOpenRPA.Robot.UIWeb.UIOSelectorHighlight"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOSelectorHighlight</span></code></a>(inUIOSelectorStr[, …])</p></td>
<td><p>L+,W+: Выполнить подсвечивание UI элемента с селектором inUIOSelectorStr.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorList" title="pyOpenRPA.Robot.UIWeb.UIOSelectorList"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOSelectorList</span></code></a>(inUIOSelectorStr[, inUIO])</p></td>
<td><p>L+,W+: Получить список UIO объектов по UIO селектору.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorWaitAppear" title="pyOpenRPA.Robot.UIWeb.UIOSelectorWaitAppear"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOSelectorWaitAppear</span></code></a>(inUIOSelectorStr[, …])</p></td>
<td><p>L+,W+: Ожидать появление UI элемента на веб странице (блокирует выполнение потока), заданного по UIO селектору inUIOSelectorStr.</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorWaitDisappear" title="pyOpenRPA.Robot.UIWeb.UIOSelectorWaitDisappear"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOSelectorWaitDisappear</span></code></a>(inUIOSelectorStr[, …])</p></td>
<td><p>L+,W+: Ожидать исчезновение UI элемента с веб страницы (блокирует выполнение потока), заданного по UIO селектору inUIOSelectorStr.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#pyOpenRPA.Robot.UIWeb.UIOTextGet" title="pyOpenRPA.Robot.UIWeb.UIOTextGet"><code class="xref py py-obj docutils literal notranslate"><span class="pre">UIOTextGet</span></code></a>(inUIO)</p></td>
<td><p>L+,W+: Получить текст UI элемента.</p></td>
</tr>
</tbody>
</table>
<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.BrowserChange">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">BrowserChange</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inBrowser</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#BrowserChange"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.BrowserChange" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Выполнить смену активного браузера (при необходимости).</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">lBrowser1</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChange</span><span class="p">(</span><span class="n">inBrowser</span><span class="o">=</span><span class="kc">None</span><span class="p">)</span>
<span class="n">lBrowser2</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChange</span><span class="p">(</span><span class="n">inBrowser</span><span class="o">=</span><span class="n">lBrowser1</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><p><strong>inBrowser</strong> (<em>webdriver.Chrome</em>) – Объект браузера</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.BrowserChromeStart">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">BrowserChromeStart</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inDriverExePathStr</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>str<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inChromeExePathStr</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>str<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inExtensionPathList</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>list<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em>, <em class="sig-param"><span class="n">inProfilePathStr</span><span class="p">:</span> <span class="n">Optional<span class="p">[</span>str<span class="p">]</span></span> <span class="o">=</span> <span class="default_value">None</span></em><span class="sig-paren">)</span> &#x2192; selenium.webdriver.chrome.webdriver.WebDriver<a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#BrowserChromeStart"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.BrowserChromeStart" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Выполнить запуск браузера Chrome. Если вы скачали pyOpenRPA вместе с репозиторием, то будет использоваться встроенный браузер Google Chrome. Если установка pyOpenRPA производилась другим способом, то требуется указать расположение браузера Google Chrome и соответствующего WebDriver.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><p><strong>inDriverExePathStr</strong> (<em>str</em><em>, </em><em>опционально</em>) – Путь до компонента webdriver.exe, по умолчанию None (путь до webdriver.exe, который расположен в репозитории pyOpenRPA)</p>
</dd>
</dl>
<p>:param inChromeExePathStr:Путь до компонента chrome.exe, по умолчанию None (путь до chrome.exe, который расположен в репозитории pyOpenRPA)
:type inChromeExePathStr: str, опционально
:param inExtensionPathList: Список путей, по которым располагаются расширения Chrome, по умолчанию None
:type inExtensionPathList: list, опционально
:param inProfilePathStr: Путь, по которому выполнить сохранения профиля Chrome (история, куки и т.д.), по умолчанию None (профиль не сохраняется)
:type inProfilePathStr: str, опционально
:return: Объект браузера Google Chrome
:rtype: webdriver.Chrome</p>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.BrowserClose">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">BrowserClose</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#BrowserClose"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.BrowserClose" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Закрыть браузер</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.PageJSExecute">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">PageJSExecute</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inJSStr</span></em>, <em class="sig-param"><span class="o">*</span><span class="n">inArgList</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#PageJSExecute"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.PageJSExecute" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Отправить на выполнение на сторону браузера код JavaScript.</p>
<p>!ВНИМАНИЕ! Данная функция поддерживает передачу переменных в область кода JavaScript (<a href="#id3"><span class="problematic" id="id4">*</span></a>inArgList). Обратиться к переданным переменным из JavaScript можно с помощью ключевого слова: arguments[i], где i - это порядковый номер переданной переменной</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageJSExecute</span><span class="p">(</span><span class="n">alert</span><span class="p">(</span><span class="s1">&#39;arguments[0]);&quot;, &quot;hello world!&quot;)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inJSStr</strong> (<em>str</em>) – Код JavaScript, отправляемый на сторону браузера</p></li>
<li><p><strong>*inArgList</strong> – <p>Перечисление аргументов, отправляемых на сторону браузера</p>
</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Результат отработки кода JavaScript, если он заканчивался оператором «return»</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>str | int | bool | float</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.PageOpen">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">PageOpen</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inURLStr</span><span class="p">:</span> <span class="n">str</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#PageOpen"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.PageOpen" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Открыть страницу inURLStr в браузере и дождаться ее загрузки.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><p><strong>inURLStr</strong> (<em>str</em>) – URL адрес страницы</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.PageScrollTo">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">PageScrollTo</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inVerticalPxInt</span><span class="o">=</span><span class="default_value">0</span></em>, <em class="sig-param"><span class="n">inHorizontalPxInt</span><span class="o">=</span><span class="default_value">0</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#PageScrollTo"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.PageScrollTo" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Выполнить прокрутку страницы (по вертикали или по горизонтали)</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageScrollTo</span><span class="p">(</span><span class="n">inVerticalPxInt</span><span class="o">=</span><span class="mi">100</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inVerticalPxInt</strong> (<em>int</em><em>, </em><em>опционально</em>) – Величина вертикальной прокрутки страницы в пикселях, по умолчанию 0</p></li>
<li><p><strong>inHorizontalPxInt</strong> (<em>int</em><em>, </em><em>опционально</em>) – Величина горизонтальной прокрутки страницы в пикселях, по умолчанию 0</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOAttributeGet">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOAttributeGet</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIO</span></em>, <em class="sig-param"><span class="n">inAttributeStr</span></em><span class="sig-paren">)</span> &#x2192; str<a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOAttributeGet"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOAttributeGet" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Получить обычный (нестилевой) атрибут у UI элемента.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">lUIO</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorList</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)[</span><span class="mi">0</span><span class="p">]</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOAttributeGet</span><span class="p">(</span><span class="n">inUIO</span><span class="o">=</span><span class="n">lUIO</span><span class="p">,</span> <span class="n">inAttributeStr</span> <span class="o">=</span> <span class="s2">&quot;href&quot;</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inUIO</strong> (<em>WebElement</em>) – UIO элемент. Получить его можно с помощью функций UIOSelectorList или UIOSelectorFirst</p></li>
<li><p><strong>inAttributeStr</strong> (<em>str</em>) – Наименование обычного (нестилевого) атрибута</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Значение обычного (нестилевого) атрибута</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>str</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOAttributeRemove">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOAttributeRemove</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIO</span></em>, <em class="sig-param"><span class="n">inAttributeStr</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOAttributeRemove"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOAttributeRemove" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Удалить обычный (нестилевой) атрибут у UI элемента.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">lUIO</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorList</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)[</span><span class="mi">0</span><span class="p">]</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOAttributeRemove</span><span class="p">(</span><span class="n">lUIO</span><span class="p">,</span> <span class="s2">&quot;href&quot;</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inUIO</strong> (<em>WebElement</em>) – UIO элемент. Получить его можно с помощью функций UIOSelectorList или UIOSelectorFirst</p></li>
<li><p><strong>inAttributeStr</strong> (<em>str</em>) – Наименование обычного (нестилевого) атрибута</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOAttributeSet">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOAttributeSet</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIO</span></em>, <em class="sig-param"><span class="n">inAttributeStr</span></em>, <em class="sig-param"><span class="n">inValue</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOAttributeSet"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOAttributeSet" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Установить обычный (нестилевой) атрибут у UI элемента.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">lUIO</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorList</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)[</span><span class="mi">0</span><span class="p">]</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOAttributeSet</span><span class="p">(</span><span class="n">inUIO</span><span class="o">=</span><span class="n">lUIO</span><span class="p">,</span> <span class="n">inAttributeStr</span> <span class="o">=</span> <span class="s2">&quot;href&quot;</span><span class="p">,</span> <span class="n">inValue</span> <span class="o">=</span> <span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inUIO</strong> (<em>WebElement</em>) – UIO элемент. Получить его можно с помощью функций UIOSelectorList или UIOSelectorFirst</p></li>
<li><p><strong>inAttributeStr</strong> (<em>str</em>) – Наименование обычного (нестилевого) атрибута</p></li>
<li><p><strong>inValue</strong> (<em>str</em>) – Устанавливаемое значение обычного (нестилевого) атрибута</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOAttributeStyleGet">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOAttributeStyleGet</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIO</span></em>, <em class="sig-param"><span class="n">inAttributeStr</span></em><span class="sig-paren">)</span> &#x2192; str<a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOAttributeStyleGet"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOAttributeStyleGet" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Получить стилевой атрибут у UI элемента.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">lUIO</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorList</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)[</span><span class="mi">0</span><span class="p">]</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOAttributeStyleGet</span><span class="p">(</span><span class="n">inUIO</span><span class="o">=</span><span class="n">lUIO</span><span class="p">,</span> <span class="n">inAttributeStr</span> <span class="o">=</span> <span class="s2">&quot;href&quot;</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inUIO</strong> (<em>WebElement</em>) – UIO элемент. Получить его можно с помощью функций UIOSelectorList или UIOSelectorFirst</p></li>
<li><p><strong>inAttributeStr</strong> (<em>str</em>) – Наименование стилевого атрибута</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Значение стилевого атрибута</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>str</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOAttributeStyleRemove">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOAttributeStyleRemove</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIO</span></em>, <em class="sig-param"><span class="n">inAttributeStr</span><span class="p">:</span> <span class="n">str</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOAttributeStyleRemove"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOAttributeStyleRemove" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Удалить стилевой атрибут у UI элемента.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">lUIO</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorList</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)[</span><span class="mi">0</span><span class="p">]</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOAttributeStyleRemove</span><span class="p">(</span><span class="n">lUIO</span><span class="p">,</span> <span class="s2">&quot;color&quot;</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inUIO</strong> (<em>WebElement</em>) – UIO элемент. Получить его можно с помощью функций UIOSelectorList или UIOSelectorFirst</p></li>
<li><p><strong>inAttributeStr</strong> (<em>str</em>) – Наименование стилевого атрибута</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOAttributeStyleSet">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOAttributeStyleSet</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIO</span></em>, <em class="sig-param"><span class="n">inAttributeStr</span></em>, <em class="sig-param"><span class="n">inValue</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOAttributeStyleSet"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOAttributeStyleSet" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Установить стилевой атрибут у UI элемента.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">lUIO</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorList</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)[</span><span class="mi">0</span><span class="p">]</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOAttributeStyleSet</span><span class="p">(</span><span class="n">inUIO</span><span class="o">=</span><span class="n">lUIO</span><span class="p">,</span> <span class="n">inAttributeStr</span> <span class="o">=</span> <span class="s2">&quot;color&quot;</span><span class="p">,</span> <span class="n">inValue</span> <span class="o">=</span> <span class="s2">&quot;grey&quot;</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inUIO</strong> (<em>WebElement</em>) – UIO элемент. Получить его можно с помощью функций UIOSelectorList или UIOSelectorFirst</p></li>
<li><p><strong>inAttributeStr</strong> (<em>str</em>) – Наименование стилевого атрибута</p></li>
<li><p><strong>inValue</strong> (<em>str</em>) – Устанавливаемое значение стилевого атрибута</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOClick">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOClick</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIO</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOClick"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOClick" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Выполнить нажатие по элементу inUIO.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">lUIO</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorList</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)[</span><span class="mi">0</span><span class="p">]</span>
<span class="n">UIOClick</span><span class="p">(</span><span class="n">inUIO</span> <span class="o">=</span> <span class="n">lUIO</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><p><strong>inUIO</strong> (<em>WebElement</em>) – UIO элемент. Получить его можно с помощью функций UIOSelectorList или UIOSelectorFirst</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOMouseSearchInit">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOMouseSearchInit</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOMouseSearchInit"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOMouseSearchInit" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Инициализирует процесс поиска UI элемента с помощью мыши. Для прекращения поиска необходимо использовать функцию: UIOMouseSearchReturn</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="kn">import</span> <span class="nn">time</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOMouseSearchInit</span><span class="p">()</span>
<span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOMouseSearchReturn</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOMouseSearchReturn">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOMouseSearchReturn</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOMouseSearchReturn"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOMouseSearchReturn" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Возвращает UIO объект, над которым находится указатель мыши. Предварительно должна быть вызвана функция UIWeb.UIOMouseSearchInit</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="kn">import</span> <span class="nn">time</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOMouseSearchInit</span><span class="p">()</span>
<span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOMouseSearchReturn</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Результат</dt>
<dd class="field-odd"><p>UIO объект</p>
</dd>
<dt class="field-even">Тип результата</dt>
<dd class="field-even"><p>webelement</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOSelectorClick">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOSelectorClick</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIOSelectorStr</span><span class="p">:</span> <span class="n">str</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOSelectorClick"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorClick" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Выполнить нажатие по элементу с селектором inUIOSelectorStr.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorClick</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><p><strong>inUIOSelectorStr</strong> (<em>str</em>) – XPATH или CSS селектор UI элемента на web странице. Подсказки по CSS: <a class="reference external" href="https://devhints.io/css">https://devhints.io/css</a> Подсказки по XPath: <a class="reference external" href="https://devhints.io/xpath">https://devhints.io/xpath</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOSelectorDetect">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOSelectorDetect</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIOSelectorStr</span><span class="p">:</span> <span class="n">str</span></em><span class="sig-paren">)</span> &#x2192; str<a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOSelectorDetect"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorDetect" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Идентифицировать стиль селектора (CSS или XPATH)</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;#grid &gt; div.grid-middle &gt; div.grid__main-col.svelte-2y66pa &gt; div.grid_newscol.grid_newscol__more-pulse.svelte-1yvqfic &gt; div.grid__ccol.svelte-1yvqfic &gt; ul &gt; li:nth-child(5) &gt; div &gt; a&quot;</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">lResultStr</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorDetect</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><p><strong>inUIOSelectorStr</strong> (<em>str</em>) – XPATH или CSS селектор UI объекта на web странице. Подсказки по CSS: <a class="reference external" href="https://devhints.io/css">https://devhints.io/css</a> Подсказки по XPath: <a class="reference external" href="https://devhints.io/xpath">https://devhints.io/xpath</a></p>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>«CSS» или «XPATH»</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>str</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOSelectorFirst">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOSelectorFirst</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIOSelectorStr</span></em>, <em class="sig-param"><span class="n">inUIO</span><span class="o">=</span><span class="default_value">None</span></em><span class="sig-paren">)</span> &#x2192; list<a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOSelectorFirst"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorFirst" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Получить UIO объект по UIO селектору.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">lUIO</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorFirst</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inUIOSelectorStr</strong> (<em>str</em>) – XPATH или CSS селектор UI объекта на web странице. Подсказки по CSS: <a class="reference external" href="https://devhints.io/css">https://devhints.io/css</a> Подсказки по XPath: <a class="reference external" href="https://devhints.io/xpath">https://devhints.io/xpath</a></p></li>
<li><p><strong>inUIO</strong> (<em>WebElement</em><em>, </em><em>опционально</em>) – Объект UIO, от которого выполнить поиск UIO объектов по селектору, по умолчанию None</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Первый подходящий UIO объект</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>UIO объект</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOSelectorHighlight">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOSelectorHighlight</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIOSelectorStr</span><span class="p">:</span> <span class="n">str</span></em>, <em class="sig-param"><span class="n">inIsFirst</span><span class="p">:</span> <span class="n">bool</span> <span class="o">=</span> <span class="default_value">False</span></em>, <em class="sig-param"><span class="n">inDurationSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">3.0</span></em>, <em class="sig-param"><span class="n">inColorStr</span><span class="p">:</span> <span class="n">str</span> <span class="o">=</span> <span class="default_value">'green'</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOSelectorHighlight"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorHighlight" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Выполнить подсвечивание UI элемента с селектором inUIOSelectorStr.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorHighlight</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inUIOSelectorStr</strong> (<em>str</em>) – XPATH или CSS селектор UI элемента на web странице. Подсказки по CSS: <a class="reference external" href="https://devhints.io/css">https://devhints.io/css</a> Подсказки по XPath: <a class="reference external" href="https://devhints.io/xpath">https://devhints.io/xpath</a></p></li>
<li><p><strong>inIsFirst</strong> (<em>bool</em><em>, </em><em>опционально</em>) – True - подсветить только первый элемент, который удовлетворяет селектору. По умолчанию False</p></li>
<li><p><strong>inDurationSecFloat</strong> (<em>float</em><em>, </em><em>опционально</em>) – Длительность подсвечивания. По умолчанию 3.0 сек.</p></li>
<li><p><strong>inColorStr</strong> (<em>str</em><em>, </em><em>опционально</em>) – Цвет подсвечания Варианты: «red», «blue», «grey», «yellow». По умолчанию «green» (зеленый)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOSelectorList">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOSelectorList</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIOSelectorStr</span></em>, <em class="sig-param"><span class="n">inUIO</span><span class="o">=</span><span class="default_value">None</span></em><span class="sig-paren">)</span> &#x2192; list<a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOSelectorList"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorList" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Получить список UIO объектов по UIO селектору.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">lUIOList</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorList</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inUIOSelectorStr</strong> (<em>str</em>) – XPATH или CSS селектор UI объекта на web странице. Подсказки по CSS: <a class="reference external" href="https://devhints.io/css">https://devhints.io/css</a> Подсказки по XPath: <a class="reference external" href="https://devhints.io/xpath">https://devhints.io/xpath</a></p></li>
<li><p><strong>inUIO</strong> (<em>WebElement</em><em>, </em><em>опционально</em>) – Объект UIO, от которого выполнить поиск UIO объектов по селектору, по умолчанию None</p></li>
</ul>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Список UIO объектов</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>list</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOSelectorWaitAppear">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOSelectorWaitAppear</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIOSelectorStr</span><span class="p">:</span> <span class="n">str</span></em>, <em class="sig-param"><span class="n">inWaitSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">60</span></em>, <em class="sig-param"><span class="n">inWaitIntervalSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">1.0</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOSelectorWaitAppear"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorWaitAppear" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Ожидать появление UI элемента на веб странице (блокирует выполнение потока), заданного по UIO селектору inUIOSelectorStr. Выполнять ожидание на протяжении inWaitSecFloat (по умолчанию 60 сек.). Проверка производится с интервалом inWaitIntervalSecFloat (по умолчанию 1 сек.)</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">lAppearUIOList</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorWaitAppear</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inUIOSelectorStr</strong> (<em>str</em>) – XPATH или CSS селектор UI элемента на web странице. Подсказки по CSS: <a class="reference external" href="https://devhints.io/css">https://devhints.io/css</a> Подсказки по XPath: <a class="reference external" href="https://devhints.io/xpath">https://devhints.io/xpath</a></p></li>
<li><p><strong>inWaitSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Время ожидания на исчезновение UI элемента, по умолчанию UIO_WAIT_SEC_FLOAT (60 сек)</p></li>
<li><p><strong>inWaitIntervalSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Интервал проверки исчезновения, по умолчанию UIO_WAIT_INTERVAL_SEC_FLOAT (1 сек)</p></li>
</ul>
</dd>
<dt class="field-even">Исключение</dt>
<dd class="field-even"><p><strong>Exception</strong> – Время ожидания превышено</p>
</dd>
<dt class="field-odd">Результат</dt>
<dd class="field-odd"><p>Список UI элементов, которые удовлетворяют селектору и появились на странице</p>
</dd>
<dt class="field-even">Тип результата</dt>
<dd class="field-even"><p>list</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOSelectorWaitDisappear">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOSelectorWaitDisappear</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIOSelectorStr</span><span class="p">:</span> <span class="n">str</span></em>, <em class="sig-param"><span class="n">inWaitSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">60</span></em>, <em class="sig-param"><span class="n">inWaitIntervalSecFloat</span><span class="p">:</span> <span class="n">float</span> <span class="o">=</span> <span class="default_value">1.0</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOSelectorWaitDisappear"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOSelectorWaitDisappear" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Ожидать исчезновение UI элемента с веб страницы (блокирует выполнение потока), заданного по UIO селектору inUIOSelectorStr. Выполнять ожидание на протяжении inWaitSecFloat (по умолчанию 60 сек.). Проверка производится с интервалом inWaitIntervalSecFloat (по умолчанию 1 сек.)</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorWaitDisappear</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>inUIOSelectorStr</strong> (<em>str</em>) – XPATH или CSS селектор UI элемента на web странице. Подсказки по CSS: <a class="reference external" href="https://devhints.io/css">https://devhints.io/css</a> Подсказки по XPath: <a class="reference external" href="https://devhints.io/xpath">https://devhints.io/xpath</a></p></li>
<li><p><strong>inWaitSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Время ожидания на исчезновение UI элемента, по умолчанию UIO_WAIT_SEC_FLOAT (60 сек)</p></li>
<li><p><strong>inWaitIntervalSecFloat</strong> (<em>float</em><em>, </em><em>опциональный</em>) – Интервал проверки исчезновения, по умолчанию UIO_WAIT_INTERVAL_SEC_FLOAT (1 сек)</p></li>
</ul>
</dd>
<dt class="field-even">Исключение</dt>
<dd class="field-even"><p><strong>Exception</strong> – Время ожидания превышено</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="pyOpenRPA.Robot.UIWeb.UIOTextGet">
<code class="sig-prename descclassname">pyOpenRPA.Robot.UIWeb.</code><code class="sig-name descname">UIOTextGet</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">inUIO</span></em><span class="sig-paren">)</span> &#x2192; str<a class="reference internal" href="../_modules/pyOpenRPA/Robot/UIWeb.html#UIOTextGet"><span class="viewcode-link">[исходный код]</span></a><a class="headerlink" href="#pyOpenRPA.Robot.UIWeb.UIOTextGet" title="Ссылка на это определение">¶</a></dt>
<dd><p>L+,W+: Получить текст UI элемента.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="c1"># UIWeb: Взаимодействие с ui web</span>
<span class="kn">from</span> <span class="nn">pyOpenRPA.Robot</span> <span class="kn">import</span> <span class="n">UIWeb</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserChromeStart</span><span class="p">()</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">PageOpen</span><span class="p">(</span><span class="s2">&quot;https://mail.ru&quot;</span><span class="p">)</span>
<span class="n">lUIOSelectorStr</span> <span class="o">=</span> <span class="s2">&quot;//*[@id=&quot;</span><span class="n">grid</span><span class="s2">&quot;]/div[2]/div[2]/div[3]/div[1]/ul/li[5]/div/a&quot;</span>
<span class="n">lUIO</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOSelectorList</span><span class="p">(</span><span class="n">inUIOSelectorStr</span> <span class="o">=</span> <span class="n">lUIOSelectorStr</span><span class="p">)[</span><span class="mi">0</span><span class="p">]</span>
<span class="n">lTextStr</span> <span class="o">=</span> <span class="n">UIWeb</span><span class="o">.</span><span class="n">UIOTextGet</span><span class="p">(</span><span class="n">inUIO</span><span class="o">=</span><span class="n">lUIO</span><span class="p">)</span>
<span class="n">UIWeb</span><span class="o">.</span><span class="n">BrowserClose</span><span class="p">()</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Параметры</dt>
<dd class="field-odd"><p><strong>inUIO</strong> (<em>WebElement</em>) – UIO элемент. Получить его можно с помощью функций UIOSelectorList или UIOSelectorFirst</p>
</dd>
<dt class="field-even">Результат</dt>
<dd class="field-even"><p>Текст UI элемента</p>
</dd>
<dt class="field-odd">Тип результата</dt>
<dd class="field-odd"><p>str</p>
</dd>
</dl>
</dd></dl>

</div>
<div class="section" id="id9">
<h2>Быстрая навигация<a class="headerlink" href="#id9" title="Ссылка на этот заголовок">¶</a></h2>
<ul class="simple">
<li><p><a class="reference external" href="https://t.me/pyOpenRPA">Сообщество pyOpenRPA (telegram)</a></p></li>
<li><p><a class="reference external" href="https://tenchat.ru/iMaslov?utm_source=19f2a84f-3268-437f-950c-d987ae42af24">Сообщество pyOpenRPA (tenchat)</a></p></li>
<li><p><a class="reference external" href="https://vk.com/pyopenrpa">Сообщество pyOpenRPA (вконтакте)</a></p></li>
<li><p><a class="reference external" href="https://pyopenrpa.ru/Index/pyOpenRPA_product_service.pdf">Презентация pyOpenRPA</a></p></li>
<li><p><a class="reference external" href="https://pyopenrpa.ru">Портал pyOpenRPA</a></p></li>
<li><p><a class="reference external" href="https://gitlab.com/UnicodeLabs/OpenRPA">Репозиторий pyOpenRPA</a></p></li>
</ul>
<p>		.. v1.3.1 replace:: v1.3.1</p>
<p></p>
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="04_keyboard.html" class="btn btn-neutral float-right" title="4. Функции Keyboard" accesskey="n" rel="next">Следующая <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="02_uidesktop.html" class="btn btn-neutral float-left" title="2. Функции UIDesktop" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Предыдущая</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2022, ООО &#34;ОПЕН РПА&#34;.

    </p>
  </div>
    
    
    
    Собрано при помощи <a href="https://www.sphinx-doc.org/">Sphinx</a> с использованием
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">темы,</a>
    
    предоставленной <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>